=== debian/changelog ===
ros-lunar-safety-limiter (0.4.0-1xenial) xenial; urgency=high

  * safety_limiter: fix backward motion limit (#292 <https://github.com/at-wat/neonavigation/issues/292>)
  * safety_limiter: fix CloudBuffering test start timing (#279 <https://github.com/at-wat/neonavigation/issues/279>)
  * Fix package dependencies (#268 <https://github.com/at-wat/neonavigation/issues/268>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-lunar-safety-limiter (0.3.1-1xenial) xenial; urgency=high

  * safety_limiter: increase tolerance of the test (#243 <https://github.com/at-wat/neonavigation/issues/243>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * safety_limiter: add diagnostics to safety_limiter node  (#227 <https://github.com/at-wat/neonavigation/issues/227>)
  * safety_limiter: allow escape motion from collision (#221 <https://github.com/at-wat/neonavigation/issues/221>)
  * safety_limiter: fix first time step of collision prediction (#222 <https://github.com/at-wat/neonavigation/issues/222>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-lunar-safety-limiter (0.2.3-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-safety-limiter (0.2.2-1xenial) xenial; urgency=high

  * Workaround for debian stretch build problem (#199 <https://github.com/at-wat/neonavigation/issues/199>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-lunar-safety-limiter (0.2.1-1xenial) xenial; urgency=high

  * Compile with PCL_NO_PRECOMPILE (#195 <https://github.com/at-wat/neonavigation/issues/195>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-lunar-safety-limiter (0.2.0-1xenial) xenial; urgency=high

  * safety_limiter: update document (#192 <https://github.com/at-wat/neonavigation/issues/192>)
  * safety_limiter: fix safety limit logic (#187 <https://github.com/at-wat/neonavigation/issues/187>)
  * safety_limiter: fix input cloud buffering (#184 <https://github.com/at-wat/neonavigation/issues/184>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * safety_limiter: add watchdog timer (#123 <https://github.com/at-wat/neonavigation/issues/123>)
  * safety_limiter: use timer instead of spinOnce (#121 <https://github.com/at-wat/neonavigation/issues/121>)
  * safety_limiter: fix naming style. (#86 <https://github.com/at-wat/neonavigation/issues/86>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * safety_limiter: avoid kdtree build for empty cloud. (#67 <https://github.com/at-wat/neonavigation/issues/67>)
  * Add missing dep to xmlrpcpp. (#52 <https://github.com/at-wat/neonavigation/issues/52>)
  * safety_limiter: support fragmented pointcloud input. (#43 <https://github.com/at-wat/neonavigation/issues/43>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * safety_limiter: increases subscribe buffer length for safety disable input
  * safety_limiter: adds time margin in collision test
  * safety_limiter: uses pcl's erase-remove_if
  * safety_limiter: fixes safety disable mode to ignore cloud timeout
  * safety_limiter: adds safety disable input
  * safety_limiter: fixes pointcloud height handling
  * safety_limiter: reduces pointcloud timeout warning
  * safety_limiter: publishes stop command if no pointcloud received
  * safety_limiter: Motion limiter for collision prevention
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000
