=== debian/control ===
Source: ros-lunar-safety-limiter
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-diagnostic-updater, ros-lunar-geometry-msgs, ros-lunar-nav-msgs, ros-lunar-neonavigation-common, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs, ros-lunar-xmlrpcpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-safety-limiter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-lunar-cmake-modules, ros-lunar-diagnostic-updater, ros-lunar-geometry-msgs, ros-lunar-neonavigation-common, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs, ros-lunar-xmlrpcpp
Description: Motion limiter package for collision prevention
